## nvidia-settings 275.21

=== debian/changelog ===
nvidia-settings (275.21-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused nvidia-settings to crash when configuring
      multiple X screens after all monitors were unplugged from one of
      the X screens.
    - Fixed a bug in nvidia-settings that caused the display configuration
      page to show extra disabled displays after connecting a new monitor.
  * Recommend libgl1-nvidia-glx-any (for libGL.so.1).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 23 Jul 2011 12:28:54 +0200

nvidia-settings (275.09.07-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release.
    - Fixed a bug that caused nvidia-settings to crash while saving the X
      configuration file on some Linux distributions.  [275.09]
  * Drop dependency on nvidia-common in favor of nvidia-installer-cleanup.

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes.

 -- Russ Allbery <rra@debian.org>  Thu, 16 Jun 2011 07:27:48 -0700

nvidia-settings (270.41.06-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * new upstream release  (closes: #587691)
    - Added support for configuring the dithering depth used when driving
      a flat panel with a GeForce 8 family or Quadro 4600/5600 or
      newer GPU.  See the "Dithering Controls" in the Flat Panel page
      in nvidia-settings.  [260.19.06]
    - Added GPU "Processor Clock" reporting to the nvidia-settings PowerMizer
      page.  [260.19.04]
    - Added support for configuring the dithering mode used when driving
      a flat panel with a GeForce 8 family or Quadro 4600/5600 or
      newer GPU.  See the "Dithering Controls" in the Flat Panel page
      in nvidia-settings.  [260.19.04]
    - Added ColorSpace and ColorRange features for HDMI. These give
      the ability to output YUV over HDMI and select full/reduced
      color range on RGB over HDMI. ColorSpace and ColorRange
      are X Configuration options and can be changed dynamically
      through nvidia-settings.  [260.19.04]
    - Fixed a regression in 256.29 where Performance Level clock
      frequencies were reported incorrectly in nvidia-settings.  [256.35]
    - Fixed a bug that caused nvidia-settings to crash when rendering
      its thermal gauge widget if the range of valid values for the thermal
      sensor was empty.  [256.35]
    - Improved Thermal Settings reporting in nvidia-settings to
      accurately reflect hardware configurations with multiple thermal
      sensors.  [256.25]
  * update patches:
    - 00_destdir.diff: redo for new upstream build system
    - 02_fix_manpage_type.diff: remove, fixed upstream
    - 03_build_xnvctrl_with_fpic.diff: redo for new upstream build system
    - 04_add_missing_linked_library.diff: remove, obsolete
  * adjust paths, upstream now uses an objdir during build
  * debian/changelog: add missing history: 1.0+20060516-2, 1.0+20060516-3
  * update to Standards-Version: 3.9.2 (no changes needed)
  * update to debhelper 8
  * add Vcs-* URLs
  * add watch file
  * simplify debian/rules
  * new package libxnvctrl-dev for the NV-CONTROL X extension
  * fix installation of examples  (closes: #280602)
  * add 04_link_as-needed.diff to link with -Wl,--as-needed
  * add 05_nostrip.diff to let dh_strip do the stripping
  * add 06_fix_typos.diff to correct some misspellings noticed by lintian
  * add 07_fix_hyphenation.diff to fix hyphen-used-as-minus-sign misuse
  * drop debian/nvidia-settings.png.uue in favor of doc/nvidia-settings.png
  * add 08_nvidia-settings.desktop.diff to substitute placeholders and drop
    debian/nvidia-settings.desktop in favor of doc/nvidia-settings.desktop
  * add 09_do_not_exit_on_no_scanout.diff from Ubuntu, rediff,
    restores support for legacy drivers (96xx, 173xx)  (closes: #605490)
  * add Pre-Depends: nvidia-installer-cleanup | nvidia-common

  [ Russ Allbery ]
  * Add myself and Andreas Beckmann to Uploaders, remove Randall Donald.

 -- Russ Allbery <rra@debian.org>  Sun, 15 May 2011 17:38:35 -0700

nvidia-settings (1.0+20060516-3) unstable; urgency=low

  * ship include files for XNVCtrl (closes: #392324)

 -- Randall Donald <rdonald@debian.org>  Mon, 16 Oct 2006 15:16:06 -0700

nvidia-settings (1.0+20060516-2) unstable; urgency=low

  * install libXNVCtrl.a (closes: #375191)

 -- Randall Donald <rdonald@debian.org>  Sat,  7 Oct 2006 15:47:08 -0700

nvidia-settings (1.0+20060919-1) UNRELEASED; urgency=low

  * New upstream release (20060919)
  * include /usr/lib/libXNVCtrl.a (closes: #375191)

 -- Randall Donald <rdonald@debian.org>  Sat,  7 Oct 2006 14:31:44 -0700

=== debian/control ===
Source: nvidia-settings
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
 Russ Allbery <rra@debian.org>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings/

Package: nvidia-settings
Architecture: i386 amd64
Pre-Depends: nvidia-installer-cleanup
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgl1-nvidia-glx-any
Description: Tool for configuring the NVIDIA graphics driver
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl-dev
Section: contrib/libdevel
Architecture: i386 amd64
Pre-Depends: nvidia-common
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: nvidia-settings (<< 260.19.44)
Replaces: nvidia-settings (<< 260.19.44)
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export NV_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C samples clean
	rm -rf _out */_out

override_dh_installexamples:
	dh_installexamples

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

.PHONY: override_dh_auto_test

## nvidia-settings 280.13

=== Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of Version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See Version 2
# of the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the:
#
#           Free Software Foundation, Inc.
#           59 Temple Place - Suite 330
#           Boston, MA 02111-1307, USA
#


##############################################################################
# include common variables and functions
##############################################################################

include utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

GL_INCLUDE_PATH       ?= /usr/include

PKG_CONFIG            ?= pkg-config

ifndef GTK_CFLAGS
  GTK_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
endif

ifndef GTK_LDFLAGS
  GTK_LDFLAGS         := $(shell $(PKG_CONFIG) --libs gtk+-2.0)
endif


##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR and
# COMMON_UTILS_DIR should be defined by the calling makefile), or
# directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR           ?= src/libXNVCtrl
XNVCTRL_ARCHIVE       ?= $(XNVCTRL_DIR)/libXNVCtrl.a
XCONFIG_PARSER_DIR    ?= src/XF86Config-parser
COMMON_UTILS_DIR      ?= src/common-utils

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_PROGRAM_NAME = "nvidia-settings"

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

CFLAGS += $(X_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib
endif

LDFLAGS += $(X_LDFLAGS)

# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
ifdef NV_LINK_LIBXXF86VM_STATICALLY
    LDFLAGS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LDFLAGS += -lXxf86vm
endif

LDFLAGS += -lX11 -lXext -lm
LDFLAGS += $(GTK_LDFLAGS)
LDFLAGS += $(LIBDL_LDFLAGS)

MANPAGE_GZIP ?= 1

MANPAGE_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1.gz
MANPAGE_not_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE     = $(MANPAGE_gzipped)
else
  MANPAGE     = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS   = $(OUTPUTDIR)/gen-manpage-opts
OPTIONS_1_INC      = $(OUTPUTDIR)/options.1.inc

# Include all the source lists; dist-files.mk will define SRC
include dist-files.mk

include $(XCONFIG_PARSER_DIR)/src.mk
SRC        += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

SRC        += $(STAMP_C)

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))

CFLAGS     += -I src
CFLAGS     += -I src/image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I src/libXNVCtrlAttributes
CFLAGS     += -I src/xpm_data
CFLAGS     += -I src/gtk+-2.x
CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-setttings\"

$(call BUILD_OBJECT_LIST,$(GTK_SRC)): CFLAGS += $(GTK_CFLAGS)


##############################################################################
# build rules
##############################################################################

.PNONY: all install NVIDIA_SETTINGS_install MANPAGE_install clean clobber

all: $(NVIDIA_SETTINGS) $(MANPAGE)

install: NVIDIA_SETTINGS_install MANPAGE_install

NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(bindir)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(bindir)/$(notdir $<)

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(mandir)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(mandir)/$(notdir $<)

$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_ARCHIVE)
	$(call quiet_cmd,LINK) -o $@ $(OBJS) $(XNVCTRL_ARCHIVE) \
		$(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS)
	$(call quiet_cmd,STRIP_CMD) $@

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,CC,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_SETTINGS_PROGRAM_NAME)))

clean clobber:
	rm -rf $(NVIDIA_SETTINGS) $(MANPAGE) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC = src/gen-manpage-opts.c

BUILD_MANPAGE_OBJECT_LIST = \
	$(patsubst %.o,%.manpage.o,$(call BUILD_OBJECT_LIST,$(1)))

GEN_MANPAGE_OPTS_OBJS = \
	$(call BUILD_MANPAGE_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) $(GEN_MANPAGE_OPTS_OBJS) -o $@ \
		$(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS)

# define a rule to build each GEN_MANPAGE_OPTS object file
$(foreach src,$(GEN_MANPAGE_OPTS_SRC),\
	$(eval $(call DEFINE_OBJECT_RULE_WITH_OBJECT_NAME,HOST_CC,$(src),\
		$(call BUILD_MANPAGE_OBJECT_LIST,$(src)))))

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@./$< > $@

$(MANPAGE_not_gzipped): doc/nvidia-settings.1.m4 $(OPTIONS_1_INC)
	$(call quiet_cmd,M4) \
	  -D__HEADER__=$(AUTO_TEXT) \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  -I $(OUTPUTDIR) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

=== debian/changelog ===
nvidia-settings (280.13-1) unstable; urgency=low

  * New upstream release.
  * Remove nvidia-common dependency from libnvctrl-dev.  (Closes: #636821)

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 06 Aug 2011 12:20:34 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,6 @@
 Package: libxnvctrl-dev
 Section: contrib/libdevel
 Architecture: i386 amd64
-Pre-Depends: nvidia-common
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: nvidia-settings (<< 260.19.44)
 Replaces: nvidia-settings (<< 260.19.44)

## nvidia-settings 290.10

=== debian/changelog ===
nvidia-settings (290.10-1) unstable; urgency=low

  * New upstream release.  (Closes: #639009)
  * Add pkg-config to Build-Depends and Depends.  Thanks Mackenzie Morgan!

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 23 Nov 2011 13:12:07 +0100

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,16 @@
  libxext-dev,
  libxv-dev,
  libxxf86vm-dev,
+ pkg-config,
 Standards-Version: 3.9.2
+Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings/
 
 Package: nvidia-settings
 Architecture: i386 amd64
 Pre-Depends: nvidia-installer-cleanup
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
 Recommends: libgl1-nvidia-glx-any
 Description: Tool for configuring the NVIDIA graphics driver
  The nvidia-settings utility is a tool for configuring the NVIDIA

## nvidia-settings 295.20

=== debian/changelog ===
nvidia-settings (295.20-1) unstable; urgency=low

  * New upstream release.
    - Split the DFP configuration page in nvidia-settings into multiple
      tabs, allowing the controls to be displayed on smaller screens.
  * Switch debian/copyright to DEP-5 format and add more license statements
    found in the source.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 15 Feb 2012 21:16:29 +0100

## nvidia-settings 295.49

=== Makefile ===
--- 
+++ 
@@ -4,21 +4,17 @@
 #
 # Copyright (C) 2008 NVIDIA Corporation.
 #
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of Version 2 of the GNU General Public
-# License as published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See Version 2
-# of the GNU General Public License for more details.
+# This program is free software; you can redistribute it and/or modify it
+# under the terms and conditions of the GNU General Public License,
+# version 2, as published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+# more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the:
-#
-#           Free Software Foundation, Inc.
-#           59 Temple Place - Suite 330
-#           Boston, MA 02111-1307, USA
+# along with this program.  If not, see <http://www.gnu.org/licenses>.
 #

=== samples/Makefile ===
#
# NV-CONTROL samples: Sample tools for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (c) 2010 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

LIBXNVCTRL_DIR        ?= ../src/libXNVCtrl

CFLAGS                += $(X_CFLAGS)
CFLAGS                += -I $(LIBXNVCTRL_DIR)

LDFLAGS               += $(X_LDFLAGS)
LDFLAGS               += -L $(LIBXNVCTRL_DIR)
LDFLAGS               += -lXNVCtrl -lXext -lX11


##############################################################################
# samples
##############################################################################

SAMPLE_SOURCES        += nv-control-info.c
SAMPLE_SOURCES        += nv-control-dvc.c
SAMPLE_SOURCES        += nv-control-events.c
SAMPLE_SOURCES        += nv-control-dpy.c
SAMPLE_SOURCES        += nv-control-targets.c
SAMPLE_SOURCES        += nv-control-framelock.c
SAMPLE_SOURCES        += nv-control-gvi.c
SAMPLE_SOURCES        += nv-control-3dvisionpro.c


##############################################################################
# build rules
##############################################################################

.PHONY: all clean clobber

# define the rule to build each object file
$(foreach src, $(SAMPLE_SOURCES), $(eval $(call DEFINE_OBJECT_RULE,CC,$(src))))

# define the rule to link each sample app from its corresponding object file
define link_sample_from_object
  $$(OUTPUTDIR)/$(1:.c=): $$(call BUILD_OBJECT_LIST,$(1))
	$$(call quiet_cmd,LINK) $$(CFLAGS) -o $$@ $$< $$(LDFLAGS) $$(BIN_LDFLAGS)
  all:: $$(OUTPUTDIR)/$(1:.c=)
  SAMPLES += $$(OUTPUTDIR)/$(1:.c=)
endef

$(foreach sample,$(SAMPLE_SOURCES),$(eval $(call link_sample_from_object,$(sample))))

clean clobber:
	rm -rf *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d $(SAMPLES)

=== debian/changelog ===
nvidia-settings (295.49-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 28 Jun 2012 15:46:23 +0200

nvidia-settings (295.49-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 09 May 2012 11:58:10 +0200

nvidia-settings (295.33-2) unstable; urgency=low

  * Add 10_libxnvctrl_so_0.diff: build libXNVCtrl.so.0 shared library.
  * Add libnvctrl0 package.  (Closes: #666909)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 13 Apr 2012 08:10:30 +0200

nvidia-settings (295.33-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Use the final copyright-format/1.0 URL.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 04 Apr 2012 14:35:52 +0200

nvidia-settings (290.10-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 02 Dec 2011 12:25:52 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libxv-dev,
  libxxf86vm-dev,
  pkg-config,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
 Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-settings/
@@ -34,10 +34,22 @@
  Values such as brightness and gamma, XVideo attributes, temperature,
  and OpenGL settings can be queried and configured via nvidia-settings.
 
+Package: libxnvctrl0
+Section: contrib/libs
+Architecture: i386 amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: NV-CONTROL X extension (runtime library)
+ The NV-CONTROL X extension provides a mechanism for X clients to
+ query and set configuration parameters of the NVIDIA X driver.
+ State set by the NV-CONTROL X extension is assumed to be persistent
+ only for the current server generation.
+ .
+ This package contains the shared library.
+
 Package: libxnvctrl-dev
 Section: contrib/libdevel
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libxnvctrl0 (= ${binary:Version}), ${misc:Depends}
 Breaks: nvidia-settings (<< 260.19.44)
 Replaces: nvidia-settings (<< 260.19.44)
 Description: NV-CONTROL X extension (development files)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export NV_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C samples clean
	rm -rf _out */_out

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

## nvidia-settings 304.88

=== debian/changelog ===
nvidia-settings (304.88-1) unstable; urgency=low

  * New upstream release 304.88.
  * Update menu title. Thanks Gaudenz Steinlin.  (Closes: #688746)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Apr 2013 10:55:54 +0200

nvidia-settings (304.84-1) unstable; urgency=low

  * New upstream release 304.84.
  * Update my email address and drop DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 16:00:54 +0100

nvidia-settings (304.64-1) unstable; urgency=low

  * New upstream release 304.64.
    - Fixed a bug that sometimes prevented the display device / X screen
      selection menu from being displayed in nvidia-settings.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 07 Nov 2012 11:02:15 +0100

nvidia-settings (304.60-1) unstable; urgency=low

  * New upstream release 304.60.
    - Updated nvidia-settings to save and restore per-monitor color correction
      settings when RandR 1.2 or later is available.
    - Fixed a bug that caused too many display devices to appear in the X Screen
      page of nvidia-settings when SLI is enabled.
    - Fixed a bug in nvidia-settings that made it report the status of ECC
      configuration incorrectly.
    - Updated nvidia-settings to report Dedicated GPU Memory (i.e., the
      memory dedicated exclusively to the GPU) and Total GPU Memory (i.e.,
      Dedicated GPU Memory plus any TurboCache(TM)-accessible system memory)
      separately on the GPU information page.
    - Added reporting of the current utilization of Dedicated GPU Memory to
      the GPU information page of nvidia-settings.
  * New upstream release 304.51.
    - Fixed a bug that sometimes caused the display layout area of the
      nvidia-settings control panel to be laid out incorrectly.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 26 Oct 2012 10:09:56 +0200

nvidia-settings (304.48-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that prevented the "Reset Hardware Defaults" button in
      the Display Settings page of nvidia-settings from being activated.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:56:39 +0200

nvidia-settings (304.43-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused gnome-settings-daemon to revert display
      configuration changes made by nvidia-settings.
    - Updated nvidia-settings to use RandR per-CRTC gamma control, when
      available.  When controlling an X server with support for RandR 1.2,
      nvidia-settings will display the color correction widget as a tab
      within each display device page, instead of a per-X screen color
      correction page.
    - Added the ability to select and move X screens in the "X Server Display
      Configuration" page of nvidia-settings via Ctrl-(Left)Click + Drag

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Sep 2012 02:57:11 +0200

nvidia-settings (304.37-1) unstable; urgency=low

  * New upstream release.
  * Add Breaks: xserver-xorg-video-nvidia (<< 302).  (Closes: #681182) 
  * Add Conflicts: xserver-xorg-video-nvidia-legacy-173xx.  (Closes: #685049)
  * Note: Use nvidia-settings-legacy-173xx for the legacy driver.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 14 Aug 2012 10:27:39 +0200

nvidia-settings (302.17-2) unstable; urgency=low

  * debian/rules: Really use the hardened CPPFLAGS.
  * Support building with DEB_BUILD_OPTIONS=noopt.
  * Enable verbose build by default.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 19:33:08 +0200

nvidia-settings (302.17-1) unstable; urgency=low

  * New upstream release.
    - Fixed a bug that caused the link configuration of DisplayPort devices to
      be reported incorrectly in nvidia-settings.  [302.11]
  * Upload to unstable.
  * Switch to debhelper 9 to get the hardening build flags.
  * 10_libxnvctrl_so_0.diff, debian/rules: Use the hardened CPPFLAGS/LDFLAGS.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 27 Jun 2012 09:18:18 +0200

nvidia-settings (302.07-1) experimental; urgency=low

  * New upstream release.
    - Added a "CurrentMetaMode" attribute to the nvidia-settings command
      line, to query and set the current MetaMode.
      As an example, these two commands are equivalent:
        xrandr --output DVI-I-2 --mode 1280x1024 --pos 0x0 \
               --output DVI-I-3 --mode 1920x1200 --pos 1280x0
        nvidia-settings --assign CurrentMetaMode=\
                "DVI-I-2: 1280x1024 +0+0, DVI-I-3: 1920x1200 +1280+0"
    - Removed overscan compensation configurability from NV-CONTROL and
      nvidia-settings. This can be configured, with finer granularity,
      through the ViewPortIn and ViewPortOut MetaMode attributes.
      See "Configuring Multiple Display Devices on One X Screen" in the
      README for details.
    - Removed Flat Panel Scaling configurability in nvidia-settings.
      Any desired scaling can be configured through the new "ViewPortIn"
      and "ViewPortOut" MetaMode attributes.
    - Expose the following additional FSAA modes via NV-CONTROL,
      nvidia-settings, and through X visuals and GLXFBConfigs:
        16X multisample FSAA on all GeForce GPUs
        Coverage sample FSAA on G80 and above GeForce GPUs
        32X multisample FSAA on G80 and above Quadro GPUs
        64X multisample FSAA on Fermi and above Quadro GPUs
    - Added a new, higher resolution icon for nvidia-settings.
    - Added a checkbox to nvidia-settings to control the texture clamping
      attribute.  When the box is checked, OpenGL textures are clamped
      according to the OpenGL specification.  When it is unchecked, GL_CLAMP
      is remapped to GL_CLAMP_TO_EDGE for borderless 2D textures.
    - Removed the "Display" and "X Screen" tabs from the "X Server Display
      Configuration Page" of nvidia-settings, and added a new "Selection"
      dropdown menu for selecting X screens or display devices.  This
      makes it easier to select X screens/Displays that are hidden.
  * Upload to experimental.


=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
- Andreas Beckmann <debian@abeckmann.de>,
+ Andreas Beckmann <anbe@debian.org>,
  Russ Allbery <rra@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev,
@@ -24,7 +23,9 @@
 Architecture: i386 amd64
 Pre-Depends: nvidia-installer-cleanup
 Depends: pkg-config, ${shlibs:Depends}, ${misc:Depends}
-Recommends: libgl1-nvidia-glx-any
+Recommends: libgl1-nvidia-glx
+Breaks: xserver-xorg-video-nvidia (<< 302)
+Conflicts: xserver-xorg-video-nvidia-legacy-173xx
 Description: Tool for configuring the NVIDIA graphics driver
  The nvidia-settings utility is a tool for configuring the NVIDIA
  Linux graphics driver.  It operates by communicating with the NVIDIA

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,21 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-#export NV_VERBOSE=1
+export NV_VERBOSE=1
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export DEBUG = 1
+endif
+
+export PREFIX = /usr
+
 
 %:
 	dh $@
 
 override_dh_auto_build:
 	$(RM) src/libXNVCtrl/libXNVCtrl.a
-	dh_auto_build -O--parallel
+	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
 	$(MAKE) -C samples
 
 override_dh_auto_clean:

## nvidia-settings 319.72

=== debian/changelog ===
nvidia-settings (319.72-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Nov 2013 17:30:49 +0100

nvidia-settings (319.72-1) unstable; urgency=low

  * New upstream release 319.72.
  * Remove patch 08_fix_format-security, fixed upstream.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 15:23:18 +0100

nvidia-settings (319.60-1) unstable; urgency=low

  * New upstream release 319.60.
    - Fixed a bug that caused the GPU and Memory clock frequencies for some
      PowerMizer performance levels on Kepler boards to be reported incorrectly
      in the nvidia-settings control panel.
  * New upstream release 319.49.
  * 08_fix_format-security: Refresh patch, most occurrences fixed upstream.
  * Build for armhf, too.
  * Add lintian overrides for missing upstream changelog.
  * Merge changes from 313.30-2.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2013 11:54:36 +0200

nvidia-settings (319.32-1) experimental; urgency=low

  * New upstream release 319.32.
    - Updated the nvidia-settings control panel to report more detailed
      clocking information.
    - Fixed a bug that could cause nvidia-settings to crash when switching
      VTs after changing some settings.
    - Added a "Prefer Consistent Performance" PowerMizer Mode to the
      nvidia-settings control panel, available on Quadro boards that
      support this feature.
  * New upstream release 319.23.
    - Fixed a bug that prevented some drop-down menus in nvidia-settings
      from working correctly when using older versions of GTK+.
  * Refresh patch 08_fix_format-security.
  * Drop patch 06_fix_typos, fixed upstream.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Jul 2013 13:42:15 +0200

nvidia-settings (319.17-1) experimental; urgency=low

  * New upstream release 319.17.  (Closes: #708570)
    - Updated nvidia-settings to preserve the relative positioning of displays
      when changing from a layout where multiple displays are on the same X
      screen to one where the same displays span multiple X screens.
    - Fixed nvidia-settings to dlopen(3) "libvdpau.so.1", rather than
      "libvdpau.so".
  * New upstream release 319.12.
    - Added an Underscan feature in the nvidia-settings X Server
      Display Configuration page which allows the configuration of an
      underscan border around the ViewPortOut.  This feature was
      formerly known as Overscan Compensation.
    - Updated the nvidia-settings command line interface to accept display
      device names, as well as optional target qualifiers, e.g.
             nvidia-settings -q [DVI-I-0]/RefreshRate
             nvidia-settings -q [GPU-1.DVI_I-1]/RefreshRate
    - Updated the nvidia-settings command line interface to no longer assume
      the "X screen 0" target, when no target is specified in query and assign
      operations.  Instead, all valid targets of the attribute are processed.
    - Added a VDPAU page to the nvidia-settings control panel, to display
      information about the decoding capabilities of VDPAU-capable GPUs.
  * Refresh/update patches 06_fix_typos, 07_fix_hyphenation,
    10_libxnvctrl_so_0.
  * New patch 08_fix_format-security: Fix -Werror=format-security errors.
  * Add Build-Depends: libvdpau-dev.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 May 2013 12:41:59 +0200

nvidia-settings (313.30-2) unstable; urgency=low

  * Merge changes from 310.51-1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Oct 2013 23:21:13 +0200

nvidia-settings (313.30-1) experimental; urgency=low

  * New upstream release 313.30.
  * Bump Breaks: nvidia-alternative (<< 313.30-2) against old incompatible
    experimental versions.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 17:12:44 +0200

nvidia-settings (313.18-1) experimental; urgency=low

  * New upstream release 313.18.
    - Added support in NV-CONTROL and in nvidia-settings for changing the
      Double Precision performance boost mode on supported GPUs.
    - Fixed a bug in nvidia-settings that allowed unavailable features to
      be selected in some drop-down menus.
  * Update symbols control files.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 16 Jan 2013 21:44:29 +0100

nvidia-settings (310.51-1) unstable; urgency=low

  * New upstream release 310.51.
    - Augmented the resolution drop-down in the display configuration
      page of nvidia-settings with "implicit resolutions": for common
      resolutions, if a mode with that resolution is not available for
      a display device, that resolution will be simulated through
      MetaMode ViewPort scaling.
  * New upstream release 310.32.
    - Fixed a bug that sometimes prevented rotation controls in the nvidia-
      settings control panel from working after changing resolutions.
    - Fixed a bug in nvidia-settings that could cause the wrong
      resolution to be set in basic mode for setups based on one
      display per X screen.
  * Add Build-Conflicts: libxnvctrl-dev, to avoid accidently building the
    legacy packages against the shared library.
  * Merge changes from 304.108-2.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2013 21:57:22 +0200

nvidia-settings (310.19-1) experimental; urgency=low

  * New upstream release 310.19.
    - Added support for configuring stereo in nvidia-settings when stereo is
      enabled in the X configuration file.
    - Added support for configuring the ViewPortIn and ViewPortOut for display
      devices in nvidia-settings.
    - Fixed metamode bookkeeping when modifying the display configuration in
      the "X Server Display Configuration" page of nvidia-settings.
    - Added support for configuring rotation and reflection per display device 
      in nvidia-settings.
  * New upstream beta 310.14.
  * Upload to experimental.



=== debian/control ===
Source: nvidia-settings
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libvdpau-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.5
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings/

Package: nvidia-settings
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 pkg-config,
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Breaks:
 nvidia-alternative (<< 313.30-2),
 nvidia-alternative-legacy-173xx (<< 173.14.37),
 nvidia-alternative-legacy-96xx (<< 96.43.23-4),
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

Package: libxnvctrl0
Section: contrib/libs
Architecture: i386 amd64 armhf
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NV-CONTROL X extension (runtime library)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
 .
 This package contains the shared library.

Package: libxnvctrl-dev
Section: contrib/libdevel
Architecture: i386 amd64 armhf
Depends:
 libxnvctrl0 (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 nvidia-settings (<< 260.19.44),
Replaces:
 nvidia-settings (<< 260.19.44),
Description: NV-CONTROL X extension (development files)
 The NV-CONTROL X extension provides a mechanism for X clients to
 query and set configuration parameters of the NVIDIA X driver.
 State set by the NV-CONTROL X extension is assumed to be persistent
 only for the current server generation.
